# sc::TranslateDataOut Class Reference

Convert data to other formats. More...

`#include <translate.h>`

List of all members.

## Public Member Functions

| TranslateDataOut (StateOut *s, TranslateData *t)
| Write to s using the translation defined by t.
virtual int | put (const char *, int)
| Translate and write the data.
virtual int | put (const short *, int)
virtual int | put (const unsigned int *, int)
virtual int | put (const int *, int)
virtual int | put (const long *, int)
virtual int | put (const float *, int)
virtual int | put (const double *, int)
TranslateData * | translator ()
| Returns the translator.

## Protected Member Functions

int | putv (const void *d, int s)

## Detailed Description

Convert data to other formats.

The generated data is inserted into a StateOut object.

## Constructor & Destructor Documentation

sc::TranslateDataOut::TranslateDataOut | ( | StateOut * | s,
|  | TranslateData * | t
| ) |  |

Write to s using the translation defined by t.

The t argument will be deleted by this.

## Member Function Documentation

virtual int sc::TranslateDataOut::put | ( | const char * | ,
|  | int |
| ) |  | `[virtual]`

Translate and write the data.

A similar member exists for each basic type.

The documentation for this class was generated from the following file:

- translate.h